Appearance
Update Report
PATCH
/reports/{report_id}
Update a standalone report (e.g., table_of_contents, focus).
Authorizations
HTTPBearer
Use your API token
Type
HTTP (bearer)
Parameters
Path Parameters
report_id*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON
{
"tableOfContents": [
{...}
],
"focus": "string"
}
Responses
Successful Response
application/json
Schema for standalone reports (not tied to subplans).
Collapse
id
string
Required
Format
"uuid"createdAt
string
Required
Format
"date-time"status
string
Required
reportType
string |null
Required
projectId
string
Required
Format
"uuid"createdBy
string
Required
Format
"uuid"sections
object[]
Required
tableOfContents
array |null
Default
studies
string[]
Required
focus
string |null
progressCurrent
integer |null
progressTotal
integer |null
progressSection
string |null